Listar pedidos
curl --request GET \
--url https://api.korbit.com.br/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korbit.com.br/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korbit.com.br/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"category": "CHARGEBACK",
"dispute": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "CARD_CHARGEBACK",
"status": "<string>"
},
"feeAmountMinor": 4503599627370495,
"latestRefundStatus": "MERCHANT_REVIEW",
"netAmountMinor": 4503599627370495,
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refundedAmountMinor": 4503599627370495,
"refundingAmountMinor": 4503599627370495,
"amountMinor": 4503599627370496,
"buyerEmail": "jsmith@example.com",
"buyerName": "<string>",
"clientReferenceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currency": "BRL",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offerName": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"paymentMethod": "PIX",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productImageUrl": "<string>",
"productName": "<string>",
"status": "PAYMENT_PENDING",
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>",
"total": 1
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}Clientes e Pedidos
Listar pedidos
Lista paginada de pedidos com filtros por estado, método de pagamento e período. Cada pedido carrega o pagamento associado e o comprador.
GET
/
v1
/
orders
Listar pedidos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum string length:
200Required range:
1 <= x <= 100Available options:
PIX, CARD Required string length:
1 - 200Available options:
PAYMENT_PENDING, AWAITING_PAYMENT, PAID, PAYMENT_FAILED, CANCELED, EXPIRED Available options:
ALL, CHARGEBACKS, MED, REFUNDS, SALES Was this page helpful?